Subject: G94 'Cube' Option: The Responses

From: <[email-masked]>
Date: Thu, 21 Mar 1996 15:36:17 -0600 (CST)

A few days ago I posted a question about the proper use of 
the 'Cube' option in Gaussian94.  Below are the responses I 
received.  Thanks to all who replied!

***************************************************************
From: Gerd Raether <[email-masked]>

I had also problems with this option - but there were also some bugs in the A & 
B version.

You should ask

  Douglas J. Fox
  Director of Technical Support
  [email-masked]

for more information.

Gerd

In the C version the following example should work:

#p hfs/sto-3g density=current Cube=(50,density)

 H2 

 0 1
 h1
 h2    1     r
       Variables:
r=1.                   

h2dens.xyz

***************************************************************

From: Nathaniel (noj) Malcolm <[email-masked]>

 there should be little problems with the G94-cube option
IF you are looking at densities, as far as i remember ,
BUT when being used for plotting orbitals, then you
MUSt input the cube info (origin, step-size, no. of steps)
as was the case for g92. You may also encounter problems 
if your wavefunction is of the ROHF type and you are
plotting orbitals as g94 tries to find the (non-existant)
beta-orbital co-efficients.

        Dr. Noj Malcolm
        [email-masked]

***************************************************************
From: [email-masked] (William Mccarthy)

Here is a sample of generation of a cube of points of total density:
$ RunGauss
# rhf 3-21g scf=direct Cube=density

water

 0  1
H
O, 1, r1
H, 2, r1, 1, a1

r1=.90
a1=107.

h2o.out
-1, 2.5, 2.5, 2.5
10, -.50, 0.0, 0.0
10, 0.0, -.50, 0.0
10, 0.0, 0.0, -.50

Here is a sample of a cube of points from a MO:
$ RunGauss
# rhf 3-21g scf=direct Cube=orbital

water

 0  1
H
O, 1, r1
H, 2, r1, 1, a1

r1=.90
a1=107.

h2o.out
-1, 2.5, 2.5, 2.5
10, -.50, 0.0, 0.0
10, 0.0, -.50, 0.0
10, 0.0, 0.0, -.50
LUMO,HOMO

***************************************************************

From: [email-masked] (Vic Lewchenko)

Kurt,

   The Gaussian input file below generates a cube output file for
ethanol and seems to work (at least using GAUSSIAN92).

                                                      Vic Lewchenko
                                                      Tripos, Inc.
                                                      [email-masked]

%chk=ethenol.chk
# HF/STO-3G NOSYMM CUBE=ORBITALS

" "

0 1 
    6   -0.63052   -0.36707   -0.00228
    6    0.64729    0.36372   -0.00749
    8    0.78656    1.45548    0.75102
    1    1.64855    1.85125    0.67460
    1   -0.76070   -1.25882   -0.61472
    1   -1.45710   -0.01953    0.61629
    1    1.45217   -0.01705   -0.64159

ethenol.cube                                                                    
  -22   -3.057100   -2.858820   -2.241590
   16    0.400000    0.000000    0.000000
   16    0.000000    0.400000    0.000000
   12    0.000000    0.000000    0.400000
HOMO

***************************************************************

From:   IN%"[email-masked]"  "David Heisterberg"

Good luck!  Gaussian has had a problem with this forever.  The
documentation has been wrong forever as well.  CUBE doesn't work.
You need to use CUBEDENSITY, but the defaults may not work either.
You may have to specify all the cube data.  An easy way is to use
CUBEDENSITY and just specify a file name.  This may die, but the
output will have the default cube dimenions and numbers of points.
Use this (or modify it) in the input and rerun and it should be
successful.

Step 1)

--------#P TEST RHF/6-31G* CUBEDENSITY

Water
CUBE test
 
0 1
O
H 1 R
H 1 R 2 A

R 0.96
A 109.471221
 
water.cube
 
--------

This may die but in the output you'll find
 IGUnit=  -31 Origin=   -2.630400   -2.630400   -2.519549
     N1=   80 XYZInc=    0.066592    0.000000    0.000000
     N2=   80 XYZInc=    0.000000    0.066592    0.000000
     N3=   80 XYZInc=    0.000000    0.000000    0.066592

So change the above to

--------

water.cube
-31  -2.630400   -2.630400   -2.519549
 80   0.066592    0.000000    0.000000
 80   0.000000    0.066592    0.000000
 80   0.000000    0.000000    0.066592

--------

And all should be well.  The other options for HOMO, LUMO, etc. should
work just fine.  Of course for anything non-trivial you'll want to pick
up the wavefunction from the checkpoint file.

Dave Heisterberg

***************************************************************

From:  IN%"[email-masked]"

Hi Kurt,

I guess you want to use your own defined grid,
weel here is my "standard" .com:
___________________________________________________________________

#p rhf/6-31g** scf=tight density=scf cube=(cards,density,full) test

CH4 rhf/6-31g**//opt - 1/4 space +core

0 1
c
h  1  r
h  1  r  2  a
h  1  r  2  a  3  a  1
h  1  r  2  a  3  a -1

r=1.08354
a=109.4712206

/scratch/aldert/CH4-scf.cub
  -99    0.0         0.0        -5.46
  -57    0.0975      0.0         0.0
   57    0.0         0.0975      0.0
  113    0.0         0.0         0.0975

___________________________________________________________________

So, with cube=cards you force the G92 default input.  The minus
sign in front of 99 results in a formatted cube-file, the one in
front of 57 sets the unit of distance to bohr (if I am correct,
else Angs, any way the sign switches between these units !-).

Hope this helps.

Ciao, Aldert

-------------------------------------------
A.J.A. Westra Hoekzema
Conformational Analysis (Organic Chemistry)
Leiden Institute of Chemistry,
Gorlaeus Laboraties, Leiden University
P.O. Box 9502, 2300 RA Leiden
The Netherlands
Phone : +31 715274505
Fax   : +31 715274488
E-mail: [email-masked]
-------------------------------------------

***************************************************************

From:   IN%"[email-masked]"  "Dr Manton Frierson"

Dear Colleague,

I also believe the manuals were not too clear on how to make the option work.
 Taking the defaults on most options (i.e., cube size, etc.), here is an
example of input I am pretty confident will work. I do not know what property
or functions you are trying to visualize, but I am here looking at an M.O. of
benzoquinone, the HOMO explicitly.  I think the extensions to other properties
should now be obvious.  Also, there are obviously site specific paths here
which you will have to substitute for the ones appropriate to your location,
etc. The structure (benzoquinone) has already been optimized and most data is
being read from the checkpoint file. Good Luck!
____________________Begin Input__________________
%Chk=/work/aster/bzq/output/bzq001_d
# HF/6-31+G* SCF=Direct Guess=(Read,Only) Cube=orbital

Gaussian generated by Cerius2

-1 2
  C
  C    1      r2
  C    2      r3        1      a3
  C    3      r4        2      a4        1      t4
  C    4      r5        3      a5        2      t5
  C    5      r6        4      a6        3      t6
  O    4      r7        3      a7        2      t7
  O    1      r8        2      a8        3      t8
  H    2      r9        1      a9        3      t9
  H    3      r10       2      a10       1      t10
  H    5      r11       4      a11       3      t11
  H    6      r12       5      a12       4      t12

  r2        1.449170
  r3        1.360240
  r4        1.449900
  r5        1.448980
  r6        1.361990
  r7        1.264330
  r8        1.263920
  r9        1.099260
  r10       1.098700
  r11       1.098880
  r12       1.099410
  a3      122.347940
  a4      121.772260
  a5      115.990120
  a6      122.107010
  a7      121.971920
  a8      122.166400
  a9      116.661370
  a10     121.266250
  a11     116.835290
  a12     121.078700
  t4       -0.389690
  t5        0.622370
  t6       -0.544670
  t7     -179.502690
  t8     -179.945440
  t9      179.812830
  t10     179.814420
  t11     179.531150
  t12    -179.911850

/work/aster/bzq/output/bzq001_d_homo.cube
HOMO
________________________End of Input_________________

-- 
====================================================================
                   Manton R. Frierson, Ph.D.
      /\  /\  R    Senior Scientific Applications Consultant
     /  \/  \/     Lockheed Martin Services Group, Inc. 
     |/\ |/\|           National Environmental Supercomputing Center
     |\/ |\/|      135 Washington Ave. 
     \  /\  /      Bay City, MI 48708
      \/  \/       (517)894-7612(Office) (517)894-7676(FAX)
                   [email-masked]
====================================================================

***************************************************************

From:   IN%"[email-masked]"

Kurt,

Here is an example that I think still works.

Richard Walsh
Minnesota Supercomputer Center

%chk=h2o.chk
%mem=8000000
#p rhf sto-3g opt scf=incore cube=(density,cards)

cube of water

0 1
8
1    1 R2
1    1 R3     2 A3

R2 =    0.95000
R3 =    0.95000
A3 =   104.5000

h2o_den1.cub
   -1    0.000000    0.000000    0.000000
   10    1.000000    0.000000    0.000000
   10    0.000000    1.000000    0.000000
   10    0.000000    0.000000    1.000000

h2o_den2.cub
   -1    0.000000    0.000000    0.000000
   10    1.000000    0.000000    0.000000
   10    0.000000    1.000000    0.000000
   10    0.000000    0.000000    1.000000

***************************************************************

From:   IN%"[email-masked]"

Here is the simplest possible file:

#T HF/6-31G* Cube=Orbital

water

0,1
o
h 1 1.
h 1 1. 2 120.

water.dat
LUMO

If you look for this in the output, you will see the values 
used for the cube:

 IGUnit=  -31 Origin=   -2.630400   -2.630400   -2.530400
     N1=   80 XYZInc=    0.066592    0.000000    0.000000
     N2=   80 XYZInc=    0.000000    0.066592    0.000000
     N3=   80 XYZInc=    0.000000    0.000000    0.066592

You can also specify this stuff in the input if you want.
See the manual for details.

AEleen Frisch
[email-masked]

***************************************************************

From:   IN%"[email-masked]"  "Mr C. S. Page"

Kurt,

It is not entirely clear from your message what the problem is.   
However, I have attached a sample file.   This makes use of the 'cards' 
option, which is probably the most difficult part as regards setting up 
the input goes, although g94 does calculate a suitable grid spec by 
default.   The 'nosymm' keyword is included as it prevents reorientation 
of the molecule.   Both of these things are extremely useful if you wish 
to compare/manipulate the output of two or more cube calculations 
together. 

I hope that this helps somewhat.   If you have any further difficulties, 
could you please send the log file... :-)

Chris Page
__________

Department of Chemistry                         Tel: +44 (0)171 594 5795
Imperial College
GB-LONDON SW7 2AY

---1681465336-505359091-827321245=:15485
Content-ID: <Pine.SGI.3.91.960320112725.15485D@titanium>
Content-Description: 
Content-type: TEXT/PLAIN; charset="US-ASCII"; name="benzeneesp.com"
Content-transfer-encoding: BASE64

---1681465336-505359091-827321245=:15485--